Subject: [avtext] Protocol Action: 'Using Codec Control Messages in the RTP Audio-Visual Profile with Feedback with Layered Codecs' to Proposed Standard (draft-ietf-avtext-avpf-ccm-layered-04.txt)

From: The IESG <[email-masked]>
Date: Tue, 10 Jan 2017 09:29:13 -0800

The IESG has approved the following document:
- 'Using Codec Control Messages in the RTP Audio-Visual Profile with
   Feedback with Layered Codecs'
  (draft-ietf-avtext-avpf-ccm-layered-04.txt) as Proposed Standard

This document is the product of the Audio/Video Transport Extensions
Working Group.

The IESG contact persons are Alexey Melnikov, Ben Campbell and Alissa
Cooper.

A URL of this Internet Draft is:
https://datatracker.ietf.org/doc/draft-ietf-avtext-avpf-ccm-layered/

Technical Summary

This document fixes a shortcoming in the specification language of the Codec Control Message Full Intro Request (FIR) as defined in RFC5104 when using with layered codecs. In particular, a Decoder Refresh Point needs to be send by a media sender when a FIR is received on any layer of the layered bitstream, regardless on whether those layers are being sent in a single or in multiple RTP flows. The other payload-specific feedback messages defined in RFC 5104 and RFC4585 as updated by RFC 5506 have also been analyzed, and no corresponding shortcomings have been found.

Working Group Summary

The WG is happy with current version. No technical comments are received. The WG process was fast and efficient.

Document Quality

There are existing deployed implementations of the RFC5104 based mechanisms. This draft is trying to solve the issues of using RFC5104 in the case of layered codec, which is expected to be a very common implementation. 
It’s a simple document and all the technical parts have been agreed in the WG. 

Personnel

Document Shepherd: Rachel Huang
Responsible AD: Ben Campbell